#!/bin/sh

# RealNetworks RealPlayer7 Netscape Plugin Installer
# (C) 2000 RealNetworks, Inc.

abort () 
{
    echo "Error - pluginstall.sh: $1"
    exit 1
}

mkdir $HOME/.netscape >/dev/null 2>&1
mkdir $HOME/.netscape/plugins >/dev/null 2>&1

if [ ! -d $HOME/.netscape/plugins ] ; 
then
    abort "Could not create $HOME/.netscape/plugins."
fi

if [ ! -f ./rpnp.so ] ; 
then
    abort "Could not find rpnp.so to install."
fi
if [ ! -f ./raclass.zip ] ; 
then
    abort "Could not find raclass.zip to install."
fi
   

cp ./rpnp.so $HOME/.netscape/plugins
cp ./raclass.zip $HOME/.netscape/plugins

echo "The Netscape plugin has been sucessfully installed."
